My Project: dBigVector Class Reference

My Project

Public Member Functions | List of all members
dBigVector Class Reference

`#include <dVector.h>`

Inheritance diagram for dBigVector:

## Public Member Functions

| dBigVector ()
| dBigVector (const TemplateVector< dFloat > &v)
| dBigVector (const TemplateVector< dFloat64 > &v)
| dBigVector (dFloat x, dFloat y, dFloat z, dFloat w=1.0)
| dBigVector (dFloat64 x, dFloat64 y, dFloat64 z, dFloat64 w=1.0)
Public Member Functions inherited from TemplateVector< double >
| TemplateVector ()
| TemplateVector (const double *ptr)
| TemplateVector (double m_x, double m_y, double m_z, double m_w)
TemplateVector | Scale (double s) const
double & | operator[] (int i)
const double & | operator[] (int i) const
TemplateVector | operator+ (const TemplateVector &A) const
TemplateVector | operator- (const TemplateVector &A) const
TemplateVector & | operator+= (const TemplateVector &A)
TemplateVector & | operator-= (const TemplateVector &A)
double | operator% (const TemplateVector &A) const
TemplateVector | operator* (const TemplateVector &B) const
TemplateVector | CompProduct (const TemplateVector &A) const

## Additional Inherited Members

Public Attributes inherited from TemplateVector< double >
double | m_x
double | m_y
double | m_z
double | m_w

## Constructor & Destructor Documentation

## § dBigVector() [1/5]

dBigVector::dBigVector | ( |  | ) |

inline

## § dBigVector() [2/5]

dBigVector::dBigVector | ( | const TemplateVector< dFloat > & | v | ) |

inline

## § dBigVector() [3/5]

dBigVector::dBigVector | ( | const TemplateVector< dFloat64 > & | v | ) |

inline

## § dBigVector() [4/5]

dBigVector::dBigVector | ( | dFloat | x,
|  | dFloat | y,
|  | dFloat | z,
|  | dFloat | w = `1.0`
| ) |  |

inline

## § dBigVector() [5/5]

dBigVector::dBigVector | ( | dFloat64 | x,
|  | dFloat64 | y,
|  | dFloat64 | z,
|  | dFloat64 | w = `1.0`
| ) |  |

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/packages/dMath/dVector.h